Catalog - Get Table Statistic
Retrieves the specified table statistics from the Data Lake Analytics catalog.
GET https://{accountName}.{adlaCatalogDnsSuffix}/catalog/usql/databases/{databaseName}/schemas/{schemaName}/tables/{tableName}/statistics/{statisticsName}?api-version=2016-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string |
The Azure Data Lake Analytics account upon which to execute catalog operations. |
|
adla
|
path | True |
string |
Gets the DNS suffix used as the base for all Azure Data Lake Analytics Catalog service requests. |
|
database
|
path | True |
string |
The name of the database containing the statistics. |
|
schema
|
path | True |
string |
The name of the schema containing the statistics. |
|
statistics
|
path | True |
string |
The name of the table statistics. |
|
table
|
path | True |
string |
The name of the table containing the statistics. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successfully retrieved the details of the specified table statistics in the specified database and schema. |
Examples
Retrieves the specified table statistics from the Data Lake Analytics catalog
Sample request
GET https://contosoadla.azuredatalakeanalytics.net/catalog/usql/databases/master/schemas/dbo/tables/test_table_name/statistics/test_statistics_name?api-version=2016-11-01
Sample response
{
"computeAccountName": "contosoadla",
"version": "34adfa4f-cedf-4dc0-ba29-b6d1a69ab345",
"databaseName": "master",
"schemaName": "dbo",
"tableName": "test_table_name",
"statisticsName": "test_statistics_name",
"userStatName": "test_user_stat_name",
"statDataPath": "test_stat_data_path",
"createTime": "2017-04-14T13:21:56.6819037-07:00",
"updateTime": "2017-04-14T13:21:56.6819037-07:00",
"isUserCreated": false,
"isAutoCreated": false,
"hasFilter": false,
"filterDefinition": "test_filter_definition",
"colNames": [
"test_column_name_1",
"test_column_name_2"
]
}
Definitions
USqlTableStatistics
A Data Lake Analytics catalog U-SQL table statistics item.
| Name | Type | Description |
|---|---|---|
| colNames |
string[] |
the list of column names associated with these statistics. |
| computeAccountName |
string |
the name of the Data Lake Analytics account. |
| createTime |
string (date-time) |
the creation time of the statistics. |
| databaseName |
string |
the name of the database. |
| filterDefinition |
string |
the filter definition for the statistics. |
| hasFilter |
boolean |
the switch indicating if these statistics have a filter. |
| isAutoCreated |
boolean |
the switch indicating if these statistics are automatically created. |
| isUserCreated |
boolean |
the switch indicating if these statistics are user created. |
| schemaName |
string |
the name of the schema associated with this table and database. |
| statDataPath |
string |
the path to the statistics data. |
| statisticsName |
string |
the name of the table statistics. |
| tableName |
string |
the name of the table. |
| updateTime |
string (date-time) |
the last time the statistics were updated. |
| userStatName |
string |
the name of the user statistics. |
| version |
string (uuid) |
the version of the catalog item. |